import { jsx } from "react/jsx-runtime";
import { ShieldStar as ShieldStar$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ShieldStar = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ShieldStar", ...props, children: /* @__PURE__ */ jsx(ShieldStar$1, { weight: variant }) });
  }
);
ShieldStar.displayName = "ShieldStar";
Object.assign(ShieldStar, { isGdsIcon: true });
export {
  ShieldStar
};
